Package org.eclipse.ecf.osgi.services.remoteserviceadmin

# Class AbstractConsumerContainerSelector

java.lang.Object
org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractContainerSelector
org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractConsumerContainerSelector

Direct Known Subclasses:
  `ConsumerContainerSelector`

public class AbstractConsumerContainerSelector extends AbstractContainerSelector
Abstract superclass for consumer container selectors...i.e. implementers of `IConsumerContainerSelector`).

## Field Summary

### Fields inherited from class org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractContainerSelector

`EMPTY_REMOTE_SERVICE_CONTAINER_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`AbstractConsumerContainerSelector()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`connectContainerToTarget(IRemoteServiceContainer rsContainer, ID connectTargetID)`
`protected IRemoteServiceContainer`
`createAndConfigureConsumerContainer(String[] remoteSupportedConfigs, Map remoteExportedProperties)`
`protected IRemoteServiceContainer`
`createContainer(ContainerTypeDescription containerTypeDescription, String containerTypeDescriptionName, Map properties)`
`protected IConnectContext`
`getConnectContext(IContainer container, ID connectTargetID)`
`protected boolean`
`matchNotConnected(IContainer container, ID endpointID, ID connectTargetID)`
`protected boolean`
`matchSupportedConfigs(IContainer container, String[] remoteSupportedConfigs)`
`protected IRemoteServiceContainer`
`selectExistingConsumerContainer(ID endpointID, String[] remoteSupportedConfigs, ID connectTargetID)`
`protected String`
`selectLocalImportedConfig(String[] localConfigTypes, Dictionary importedConfigProperties)`

### Methods inherited from class org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractContainerSelector

`connectContainer, createConnectContext, createContainer, createContainer, createTargetID, disconnectContainer, getContainerFactory, getContainerFactoryArguments, getContainerFactoryArguments, getContainerManager, getContainers, getContainerTypeDescription, getContainerTypeDescriptions, getRemoteServiceContainers, getSupportedConfigTypes, getSupportedIntents, hasRemoteServiceContainerAdapter, includeContainerWithConnectNamespace, logError, logError, logException, logWarning, matchConnectNamespace, matchContainerID, trace, traceException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractConsumerContainerSelector

public AbstractConsumerContainerSelector()

## Method Details

### selectExistingConsumerContainer

protected IRemoteServiceContainer selectExistingConsumerContainer(ID endpointID, String[] remoteSupportedConfigs, ID connectTargetID)

### matchNotConnected

protected boolean matchNotConnected(IContainer container, ID endpointID, ID connectTargetID)

### matchSupportedConfigs

protected boolean matchSupportedConfigs(IContainer container, String[] remoteSupportedConfigs)

### connectContainerToTarget

protected void connectContainerToTarget(IRemoteServiceContainer rsContainer, ID connectTargetID)

### getConnectContext

protected IConnectContext getConnectContext(IContainer container, ID connectTargetID)

### createAndConfigureConsumerContainer

protected IRemoteServiceContainer createAndConfigureConsumerContainer(String[] remoteSupportedConfigs, Map remoteExportedProperties) throws SelectContainerException

Throws:
  `SelectContainerException`

### createContainer

protected IRemoteServiceContainer createContainer(ContainerTypeDescription containerTypeDescription, String containerTypeDescriptionName, Map properties) throws SelectContainerException

Parameters:
  `containerTypeDescription` - containerTypeDescription
  `containerTypeDescriptionName` - containerTypeDescriptionName
  `properties` - properties
Returns:
  IRemoteServiceContainer created container. Should not be `null`
Throws:
  `SelectContainerException` - thrown if container cannot be created or configured
Since:
  2.0

### selectLocalImportedConfig

protected String selectLocalImportedConfig(String[] localConfigTypes, Dictionary importedConfigProperties)